/* -*- c++ -*- ***************************************************************/
/* Echtzeitsysteme                                                           */
/*---------------------------------------------------------------------------*/
/*                                                                           */
/*                          I d l e  _ T h r e a d                           */
/*                                                                           */
/*---------------------------------------------------------------------------*/
/* Idle Thread for the Multi-Level-Queue-Scheduler                           */
/*****************************************************************************/

#include "infra/init_priorities.h"
#include "thread/context.h"
#include "thread/guarded_scheduler.h"
#include "thread/idle_thread.h"
#include "thread/idle_thread_stack_size.h"
#include "thread/kickoff.h"

unsigned int idle_thread_stack[Idle_Thread_Stack_Size] __attribute__((section(".stack")));
Idle_Thread idle_thread;

Idle_Thread::Idle_Thread() 
  : Thread(0,&idle_thread_stack[Idle_Thread_Stack_Size])
{
  Coroutine::init();
}

void Idle_Thread::action() {
  while(1) {
    scheduler.yield();
  }
}
