/* -*- c++ -*- ***************************************************************/
/* Echtzeitsysteme                                                           */
/*---------------------------------------------------------------------------*/
/*                                                                           */
/*                            K I C K O F F                                  */
/*                                                                           */
/*---------------------------------------------------------------------------*/
/* Jeder Faden startet in dieser Routine.                                    */
/*****************************************************************************/

#ifndef __kickoff_h__
#define __kickoff_h__

#include "thread/runnable.h"

/**
 * \file kickoff.h
 **/

/**
 * \brief Entry function for all Runnables.
 * \param object A pointer to current runnable, that should be executed.
 * \see Runnable
 *
 * Leaves the secured section and calls the action()-method of the Runnable.
 **/
void kickoff(Runnable* object);

#endif /* __kickoff_h__ */
